Loading...
Searching...
No Matches
libdar5::crit_in_place_data_more_recent_or_equal_to Class Reference

If the in_place entry is not an inode its date is considered equal to zero. Comparison is done on mtime. More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_in_place_data_more_recent_or_equal_to (const infinint &date, const infinint &hourshift=0)
| crit_in_place_data_more_recent_or_equal_to (const crit_in_place_data_more_recent_or_equal_to &ref)=default
| crit_in_place_data_more_recent_or_equal_to (crit_in_place_data_more_recent_or_equal_to &&ref) noexcept=default
crit_in_place_data_more_recent_or_equal_to & | operator= (const crit_in_place_data_more_recent_or_equal_to &ref)=default
crit_in_place_data_more_recent_or_equal_to & | operator= (crit_in_place_data_more_recent_or_equal_to &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method

## Private Attributes

infinint | x_hourshift
infinint | x_date

## Detailed Description

If the in_place entry is not an inode its date is considered equal to zero. Comparison is done on mtime.

returns true if the data of the first entry is more recent or of the same date as the fixed date given in argument to the constructor

Definition at line 200 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_in_place_data_more_recent_or_equal_to()

libdar::crit_in_place_data_more_recent_or_equal_to::crit_in_place_data_more_recent_or_equal_to | ( | const infinint & | date,
|  | const infinint & | hourshift = 0 )

inline

Definition at line 203 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_in_place_data_more_recent_or_equal_to::clone | ( |  | ) | const

inlineoverridevirtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 211 of file criterium.hpp.

## Member Data Documentation

## x_date

infinint libdar::crit_in_place_data_more_recent_or_equal_to::x_date

private

Definition at line 215 of file criterium.hpp.

## x_hourshift

infinint libdar::crit_in_place_data_more_recent_or_equal_to::x_hourshift

private

Definition at line 214 of file criterium.hpp.

The documentation for this class was generated from the following file:

- criterium.hpp